/*
 * Copyright 2015 aquenos GmbH.
 * All rights reserved.
 * 
 * Please refer to the file NOTICE.txt in the root of the source distribution or
 * in the META-INF directory of the binary archive for licensing information.
 */

/**
 * <p>
 * Beacon detector.
 * This package contains classes that are used to receive beacons from Channel
 * Access servers and detect beacon anomalies.
 * </p>
 * <p>
 * Typically, user-code will not have to deal with beacons directly, but will
 * use a {@link com.aquenos.epics.jackie.client.ChannelAccessClient} instead.
 * The classes in this package are primarily intended for that client, but they
 * can also be used for code that does not want to connect to channels but is
 * just interested in detecting beacon anomalies (e.g. for a network monitor).
 * </p>
 * <p>
 * Such code can create a
 * {@link com.aquenos.epics.jackie.client.beacon.BeaconDetector} for detecting
 * beacon anomalies. The implementation provided by
 * {@link com.aquenos.epics.jackie.client.beacon.DefaultBeaconDetector}
 * should be suitable for most use cases.
 * </p>
 * <p>
 * The behavior of a beacon detector can be fine tuned through the
 * {@link com.aquenos.epics.jackie.client.beacon.BeaconDetectorConfiguration}
 * configuration class.
 * </p>
 */
package com.aquenos.epics.jackie.client.beacon;

